aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-TLDK.sh
diff options
context:
space:
mode:
authorFangyin Hu <fangyinx.hu@intel.com>2017-07-14 04:27:20 -0700
committerPeter Mikus <pmikus@cisco.com>2017-07-17 11:07:00 +0000
commitc76f8f80681c352b67fb714d65da25a5217c4ac8 (patch)
treeac9f74bef76dfb60bdc83a5504adc15a0479e52d /bootstrap-TLDK.sh
parentde33bd3f6669287361a5d7d8dc1a610764ca6683 (diff)
Fix the TLDK test tcpdump not found issue.
Add the PYBOT execute exit status code. Change-Id: If0fc29c580177f1b187ec751c6708fc138838bed Signed-off-by: Fangyin Hu <fangyinx.hu@intel.com>
Diffstat (limited to 'bootstrap-TLDK.sh')
-rwxr-xr-xbootstrap-TLDK.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/bootstrap-TLDK.sh b/bootstrap-TLDK.sh
index 4678bf57a6..4f731cd527 100755
--- a/bootstrap-TLDK.sh
+++ b/bootstrap-TLDK.sh
@@ -17,6 +17,8 @@ set -x
cat /etc/hostname
cat /etc/hosts
+ARCHIVE_ARTIFACTS=(log.html output.xml report.html)
+
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
export PYTHONPATH=${SCRIPT_DIR}
@@ -199,3 +201,13 @@ PYTHONPATH=`pwd` pybot -L TRACE -W 150 \
--include vm_envAND3_node_single_link_topo \
--noncritical EXPECTED_FAILING \
tests/
+
+RETURN_STATUS=$(echo $?)
+
+# Archive artifacts
+mkdir archive
+for i in ${ARCHIVE_ARTIFACTS[@]}; do
+ cp $( readlink -f ${i} | tr '\n' ' ' ) archive/
+done
+
+exit ${RETURN_STATUS}